Get Order

Returns *Order* data. This will return order data immediately after an order is placed on the storefront. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint.

Path parameters

orderIdintegerRequired
ID of an Order.

Query parameters

includelist of enumsOptional

Sub-resources to include in an Order, in a comma-separated list. The ID and the specified fields will be returned.

Response

orderIddouble>=1
cartIdstringformat: "uuid"
The ID of cart that was converted to order.
currencyobject
This will always be the same between cart and checkout.
isTaxIncludedboolean
Whether this item is taxable.
baseAmountdouble

Cost of cartʼs contents before applying discounts.

discountAmountdouble
Discounted amount.
giftWrappingCostTotaldouble
Gift wrapping for all items, including or excluding tax.
orderAmountdouble

Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes where applicable.

orderAmountAsIntegerdouble

Order amount represented in integer. Eg. 1234 for $12.34

couponslist of objects

Array of AppliedCoupon objects applied to this cart.

lineItemslist of objects

Array of LineItem objects.

customerIdstring
billingAddressobject
statusenum
Order status.
hasDigitalItemsboolean
Specifies whether this order has at least one digital item.
isDownloadableboolean
Specifies whether this order is fully paid, so that digital items can be downloaded.
isCompleteboolean
Specifies whether this order is complete and ready to be taken to the order confirmation page.
customerMessagestring

Shopperʼs provided message for the order.

shippingCostTotaldouble
shippingCostBeforeDiscountdouble
Estimated total shipping cost before any shipping discounts have been applied.
comparisonShippingCostdouble
The total shipping cost to be shown to shopper in the summary as struck-through. - If the entered-price and display-price have the same tax setting (e.g.: both are tax-inclusive), this field will be the estimated total shipping cost before any coupons applied (but after automatic promotions applied). - If the entered-price and display-price have different tax setting (e.g.: one is tax-inclusive, and one is tax-exclusive), this field will be the estimated total shipping cost before any discounts applied, similar to the `shippingCostBeforeDiscount`.
handlingCostTotaldouble
customerCanBeCreatedboolean
taxeslist of objects
taxTotalinteger
channelIddouble
ID of the channel which the order belongs to.
consignmentsobject
All the consignments of the order.